# Created by pyp2rpm-3.3.0
%global pypi_name wsproto

Name:           python-%{pypi_name}
Version:        1.2.0
Release:        %mkrel 1
Summary:        WebSockets state-machine based protocol implementation
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/wsproto/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires: pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(h11)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pytest)

%description
WebSockets state-machine based protocol implementation

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(h11)

%description -n python3-%{pypi_name}
WebSockets state-machine based protocol implementation

%package -n python-%{pypi_name}-doc
Summary:        wsproto documentation

%description -n python-%{pypi_name}-doc
Documentation for wsproto

%prep
%autosetup -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files wsproto

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE


%changelog
* Mon Dec 25 2023 papoteur <papoteur> 1.2.0-1.mga10
+ Revision: 2021287
- new version None

* Wed Sep 07 2022 neoclust <neoclust> 1.1.0-1.mga9
+ Revision: 1885438
- New version  1.1.0

* Tue Mar 29 2022 umeabot <umeabot> 1.0.0-4.mga9
+ Revision: 1832706
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 1.0.0-3.mga9
+ Revision: 1779623
- rebuild for python-3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 1.0.0-2.mga9
+ Revision: 1708503
- rebuild for python 3.9

* Sun Dec 13 2020 guillomovitch <guillomovitch> 1.0.0-1.mga8
+ Revision: 1656488
- new version 1.0.0

* Sun Feb 16 2020 umeabot <umeabot> 0.15.0-3.mga8
+ Revision: 1532695
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.15.0-2.mga8
+ Revision: 1442503
- rebuild for python-3.8

* Sat Aug 31 2019 wally <wally> 0.15.0-1.mga8
+ Revision: 1435923
- new version 0.15.0
- drop python2 support

* Sat Jul 06 2019 kekepower <kekepower> 0.14.1-1.mga8
+ Revision: 1419170
- Update to version 0.14.1

* Sun Apr 07 2019 kekepower <kekepower> 0.13.0-1.mga7
+ Revision: 1386616
- Update to version 0.13.0

* Mon Jan 07 2019 kekepower <kekepower> 0.12.0-1.mga7
+ Revision: 1351229
- Update to version 0.12.0

* Fri Sep 21 2018 umeabot <umeabot> 0.11.0-2.mga7
+ Revision: 1290573
- Mageia 7 Mass Rebuild

* Mon Mar 19 2018 kekepower <kekepower> 0.11.0-1.mga7
+ Revision: 1210497
- Added description
- imported package python-wsproto

